# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""AlexNet."""

from torch import empty
from torch.nn import BCEWithLogitsLoss

from ...models.alexnet import Alexnet

# config
optimizer_configs = {"lr": 0.01, "momentum": 0.1}

# optimizer
optimizer = "SGD"
# criterion
criterion = BCEWithLogitsLoss(pos_weight=empty(1))
criterion_valid = BCEWithLogitsLoss(pos_weight=empty(1))

# model
model = Alexnet(
    criterion, criterion_valid, optimizer, optimizer_configs, pretrained=False
)
