# SPDX-FileCopyrightText: Copyright © 2023 Idiap Research Institute <contact@idiap.ch>
#
# SPDX-License-Identifier: GPL-3.0-or-later

"""DenseNet."""

from torch import empty
from torch.nn import BCEWithLogitsLoss

from ...models.densenet import Densenet

# config
optimizer_configs = {"lr": 0.0001}

# optimizer
optimizer = "Adam"

# criterion
criterion = BCEWithLogitsLoss(pos_weight=empty(1))
criterion_valid = BCEWithLogitsLoss(pos_weight=empty(1))

# model
model = Densenet(
    criterion, criterion_valid, optimizer, optimizer_configs, pretrained=False
)
